Subject: bug#26847: 26.0.50; Using edebug-step-in on a macro switches to go-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 20 Oct 2019 23:41:03 +0200

Gemini Lasswell <[email-masked]> writes:

> edebug-step-in doesn't behave well when you try to use it on a
> macro. For an example, enter the following code in *scratch*:
>
> (setq my-things nil)
> (defun my-try-thing (thing)
>   (push thing my-things))
>
> Then:
>
> M-x eval-buffer RET
> navigate to my-try-thing and C-u C-M-x
> M-: (my-try-thing 'a) RET
> i
>
> Result: Edebug exits and code runs to completion, result printed in
> minibuffer.

I'm unable to reproduce this in Emacs 27.  When I hit `i', I'm then
edebugging the `push' macro, and then I can step through it, and then
I'm back to stepping through my-try-thing.

Are you still seeing this bug in Emacs 27?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no